mgr/dashboard: Move HACKING.rst into the main documentation
Category: Docs   

Target version: v16.0.0   

Tags:  Affected Versions:  

Reviewed:  Pull request ID: 37070

Description

The file src/pybind/mgr/dashboard/HACKING.rst in the git repository contains instructions on how to set up a Dashboard

development environment and how to get started with development.

It has grown significantly in size of scope and has become an invaluable resource for new joiners. However, it's current location

deeply nested in the git repository makes it hard to find and it's not searchable. To give this document more exposure, the content

should be moved into the Ceph Documentation (which contains other developer-oriented documentation already).

Since it's already written in reStructuredText markup language, the transition should be fairly straightforward. The content of the

actual HACKING.rst file should then be replaced with a pointer to the documentation. Any other references to the file should also be

updated accordingly, e.g. the README.rst file in the dashboard source directory.

Related issues:

Related to Dashboard - Bug #47396: mgr/dashboard: Remove HACKING.rst now that... Resolved

Related to Dashboard - Bug #47458: mgr/dashboard: replace URLs with doc refer... Triaged

History

#1 - 09/02/2020 02:13 PM - Lenz Grimmer

- Description updated

#2 - 09/04/2020 01:19 AM - Zac Dover

- Assignee set to Zac Dover

Simply moving HACKING.rst to the developer guide directory /ceph/doc/dev/developer_guide and adding a link to the .rst file causes

/ceph/admin/.build to throw a crazy error that I'm not going to paste in here just yet, so this might turn out to be trickier than we thought. At the

moment, it's beyond my art.

#3 - 09/07/2020 08:54 AM - Zac Dover

The time has come to post the error thrown when trying to build a document containing the raw HACKING.rst:

zdover@zdover-ThinkPad-T530:~/Documents/ceph/admin$ ./build-doc

Top Level States:  ['PeeringMachine']

DEBUG:snap_schedule.fs.schedule:backports.datetime_fromisoformat not found

INFO:snap_schedule.fs.schedule:Couldn't find datetime.fromisoformat, falling back to static timestamp parsing (Y-%m-%dT%H:%M:%S

Processing /home/zdover/Documents/ceph/src/pybind/rados

Building wheels for collected packages: rados

Building wheel for rados (setup.py) ... done

Created wheel for rados: filename=rados-2.0.0-cp36-cp36m-linux_x86_64.whl size=1990191

sha256=94d24bb0c8cebc74e4a83c63485de8268b3cfa9a76d3bf33ff85ffc31cc6ddce

Stored in directory: /tmp/pip-ephem-wheel-cache-1pe_vt19/wheels/87/29/cc/4594d55c350e470667571940e761f9534ba01ed88cfa9854e6

Successfully built rados

Installing collected packages: rados

Attempting uninstall: rados

Found existing installation: rados 2.0.0

Uninstalling rados-2.0.0:

Successfully uninstalled rados-2.0.0
Successfully installed rados-2.0.0

Processing /home/zdover/Documents/ceph/src/pybind/rbd

Building wheels for collected packages: rbd

Building wheel for rbd (setup.py) ... done

Created wheel for rbd: filename=rbd-2.0.0-cp36-cp36m-linux_x86_64.whl size=1993561

sha256=582294d28f9d4767950e832dcce129a2eaf72f9569a71b763fe5f06b028f54f7

Stored in directory: /tmp/pip-ephem-wheel-cache-ca1guyb9/wheels/61/54/9f/ac7ab2f21b18f402254869e8e5d2ec2dfd82269fc2853f9f47

Successfully built rbd

Installing collected packages: rbd

Attempting uninstall: rbd

Found existing installation: rbd 2.0.0

Uninstalling rbd-2.0.0:

Successfully uninstalled rbd-2.0.0

Successfully installed rbd-2.0.0

Processing /home/zdover/Documents/ceph/src/pybind/cephfs

Building wheels for collected packages: cephfs

Building wheel for cephfs (setup.py) ... done

Created wheel for cephfs: filename=cephfs-2.0.0-cp36-cp36m-linux_x86_64.whl size=1023523

sha256=cfb5c6cef5f45f58b27398f56dc6351acbc80d35a2135fecb81f040dfc930166

Stored in directory: /tmp/pip-ephem-wheel-cache-e_u4_fd_/wheels/e6/6e/d0/79d82cad313f4776e5531a9c50f7161db2a515db72d2b2a90d

Successfully built cephfs

Installing collected packages: cephfs

Attempting uninstall: cephfs

Found existing installation: cephfs 2.0.0

Uninstalling cephfs-2.0.0:

Successfully uninstalled cephfs-2.0.0

Successfully installed cephfs-2.0.0

Processing /home/zdover/Documents/ceph/src/pybind/rgw

Building wheels for collected packages: rgw

Building wheel for rgw (setup.py) ... done

Created wheel for rgw: filename=rgw-2.0.0-cp36-cp36m-linux_x86_64.whl size=577367

sha256=1e7367951e8dbc9ff851e77a6fb43afcbb72701474cb9b80822eab4b84608968

Stored in directory: /tmp/pip-ephem-wheel-cache-13kbwc_t/wheels/6b/b5/39/d7d475ffa803030f75d28c11ce4686366f765efc4e1f77329f

Successfully built rgw

Installing collected packages: rgw

Attempting uninstall: rgw

Found existing installation: rgw 2.0.0

Uninstalling rgw-2.0.0:

Successfully uninstalled rgw-2.0.0

Successfully installed rgw-2.0.0

Running Sphinx v3.2.1

building [mo]: all of 0 po files

building [dirhtml]: all source files

updating environment: [new config] 449 added, 0 changed, 0 removed

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

03/13/2024 2/9



sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:
sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx_autodoc_typehints.py:161: RemovedInSphinx40Warning:

sphinx.util.inspect.Signature() is deprecated

signature = Signature(obj)

reading sources... [ 60] rados/api/librados

Exception occurred:

File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/domains/c.py", line 3166, in object_type

raise NotImplementedError()

NotImplementedError

The full traceback has been saved in /tmp/sphinx-err-17aj_qb9.log, if you want to report the issue to the developers.

Please also report this if it was a user error, so that a better error message can be provided next time.

A bug report can be filed in the tracker at <https://github.com/sphinx-doc/sphinx/issues&gt;. Thanks!

zdover@zdover-ThinkPad-T530:~/Documents/ceph/admin$
#4 - 09/07/2020 09:15 AM - Zac Dover

Here's the traceback:

# Sphinx version: 3.2.1

# Python version: 3.6.9 (CPython)

# Docutils version: 0.16 release

# Jinja2 version: 2.11.2

# Last messages:

#   reading sources... [ 59%] mgr/telegraf

#   

#   reading sources... [ 59%] mgr/telemetry

#   

#   reading sources... [ 60%] mgr/zabbix

#   

#   reading sources... [ 60%] rados/api/index

#   

#   reading sources... [ 60%] rados/api/librados

#   

# Loaded extensions:

#   sphinx.ext.mathjax (3.2.1) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packag

es/sphinx/ext/mathjax.py

#   sphinxcontrib.applehelp (1.0.2) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-p

ackages/sphinxcontrib/applehelp/__init__.py

#   sphinxcontrib.devhelp (1.0.2) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-pac

kages/sphinxcontrib/devhelp/__init__.py

#   sphinxcontrib.htmlhelp (1.0.3) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-pa

ckages/sphinxcontrib/htmlhelp/__init__.py

#   sphinxcontrib.serializinghtml (1.1.4) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/

site-packages/sphinxcontrib/serializinghtml/__init__.py

#   sphinxcontrib.qthelp (1.0.3) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-pack

ages/sphinxcontrib/qthelp/__init__.py

#   alabaster (0.7.12) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/alaba

ster/__init__.py

#   sphinx.ext.autodoc.type_comment (3.2.1) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.

6/site-packages/sphinx/ext/autodoc/type_comment.py

#   sphinx.ext.autodoc (3.2.1) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packag

es/sphinx/ext/autodoc/__init__.py

#   sphinx.ext.graphviz (3.2.1) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packa

ges/sphinx/ext/graphviz.py

#   sphinx.ext.todo (3.2.1) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/

sphinx/ext/todo.py

#   sphinx-prompt (unknown version) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-p

ackages/sphinx-prompt/__init__.py

#   sphinx_autodoc_typehints (unknown version) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/pytho

n3.6/site-packages/sphinx_autodoc_typehints.py

#   sphinx_substitution_extensions (unknown version) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib

/python3.6/site-packages/sphinx_substitution_extensions/__init__.py

#   breathe (4.14.2) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe

/__init__.py

#   edit_on_github (unknown version) from /home/zdover/Documents/ceph/doc/_ext/edit_on_github.py

#   ceph_releases (unknown version) from /home/zdover/Documents/ceph/doc/_ext/ceph_releases.py

#   sphinxcontrib.ditaa (unknown version) from /home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/

site-packages/sphinxcontrib/ditaa.py

Traceback (most recent call last):

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/cmd/build.py", lin

e 280, in build_main

    app.build(args.force_all, filenames)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/application.py", l

ine 342, in build

    self.builder.build_all()

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/builders/__init__.

py", line 260, in build_all

    self.build(None, summary=__('all source files'), method='all')

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/builders/__init__.

py", line 311, in build

    updated_docnames = set(self.read())

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/builders/__init__.

py", line 418, in read

    self._read_serial(docnames)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/builders/__init__.

py", line 439, in _read_serial

    self.read_doc(docname)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/builders/__init__.

py", line 479, in read_doc
    doctree = read_doc(self.app, self.env, self.env.doc2path(docname))

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/io.py", line 223, 

in read_doc

    pub.publish()

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/core.py", line 2

18, in publish

    self.settings)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/io.py", line 128, 

in read

    self.parse()

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/readers/__init__

.py", line 77, in parse

    self.parser.parse(self.input, document)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/parsers.py", line 

102, in parse

    self.statemachine.run(inputlines, document, inliner=self.inliner)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 171, in run

    input_source=document['source'])

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/statemachine.py"

, line 242, in run

    context, state, transitions)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/statemachine.py"

, line 459, in check_line

    return method(match, context, next_state)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 3005, in text

    self.section(title.lstrip(), source, style, lineno + 1, messages)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 327, in section

    self.new_subsection(title, lineno, messages)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 395, in new_subsection

    node=section_node, match_titles=True)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 282, in nested_parse

    node=node, match_titles=match_titles)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 196, in run

    results = StateMachineWS.run(self, input_lines, input_offset)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/statemachine.py"

, line 242, in run

    context, state, transitions)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/statemachine.py"

, line 459, in check_line

    return method(match, context, next_state)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 2769, in underline

    self.section(title, source, style, lineno - 1, messages)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 327, in section

    self.new_subsection(title, lineno, messages)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 395, in new_subsection

    node=section_node, match_titles=True)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 282, in nested_parse

    node=node, match_titles=match_titles)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 196, in run

    results = StateMachineWS.run(self, input_lines, input_offset)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/statemachine.py"

, line 242, in run

    context, state, transitions)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/statemachine.py"

, line 459, in check_line

    return method(match, context, next_state)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 1165, in indent

    elements = self.block_quote(indented, line_offset)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 1180, in block_quote

    self.nested_parse(blockquote_lines, line_offset, blockquote)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 282, in nested_parse
    node=node, match_titles=match_titles)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 196, in run

    results = StateMachineWS.run(self, input_lines, input_offset)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/statemachine.py"

, line 242, in run

    context, state, transitions)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/statemachine.py"

, line 459, in check_line

    return method(match, context, next_state)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 2342, in explicit_markup

    nodelist, blank_finish = self.explicit_construct(match)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 2354, in explicit_construct

    return method(self, expmatch)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 2097, in directive

    directive_class, match, type_name, option_presets)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/docutils/parsers/rst/stat

es.py", line 2146, in run_directive

    result = directive_instance.run()

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/directive/file.py

", line 119, in run

    return self.handle_contents(file_, project_info)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/directive/file.py

", line 61, in handle_contents

    node_list.extend(object_renderer.render(node_stack[0], context))

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 1308, in render

    result = method(self, node)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 617, in visit_compounddef

    child_nodes = self.render(sectiondef)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 1308, in render

    result = method(self, node)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 651, in visit_sectiondef

    node_list.extend(self.render_iterable(node.memberdef))

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 1318, in render_iterable

    output.extend(self.render(entry))

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 1308, in render

    result = method(self, node)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 1253, in dispatch_memberdef

    return self.visit_define(node)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 1050, in visit_define

    return self.render_declaration(node, declaration, update_signature=update_define_signature)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 412, in render_declaration

    nodes = self.run_domain_directive(obj_type, [declaration.replace('\n', ' ')])

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/breathe/renderer/sphinxre

nderer.py", line 357, in run_domain_directive

    nodes = domain_directive.run()

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/domains/c.py", lin

e 3195, in run

    return super().run()

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/directives/__init_

_.py", line 190, in run

    name = self.handle_signature(sig, signode)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/domains/c.py", lin

e 3203, in handle_signature

    ast = self.parse_definition(parser)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/domains/c.py", lin

e 3176, in parse_definition

    return parser.parse_declaration(self.object_type, self.objtype)

  File "/home/zdover/Documents/ceph/build-doc/virtualenv/lib/python3.6/site-packages/sphinx/domains/c.py", lin

e 3166, in object_type

    raise NotImplementedError()

NotImplementedError
#5 - 09/08/2020 09:04 AM - Zac Dover

- File sphinx-err-npo22ybr.log added

I've tried this on a second computer, under different circumstances, and I have gotten the same error.

More troublingly, I can no longer build from my master branch.

I'm attaching the error log.

#6 - 09/08/2020 12:21 PM - Zac Dover

Following Sebastian Weimer's advice, I did the following:

zdover@zdover-ThinkPad-T530:~/Documents/ceph/admin$ git checkout e4e6e9c

M    src/spdk

Note: checking out 'e4e6e9c'.

You are in 'detached HEAD' state. You can look around, make experimental

changes and commit them, and you can discard any commits you make in this

state without impacting any branches by performing another checkout.

If you want to create a new branch to retain commits you create, you may

do so (now or later) by using -b with the checkout command again. Example:

git checkout -b &lt;new-branch-name&gt;

 

HEAD is now at e4e6e9c738 Merge pull request #36915 from yuriw/wip-yuriw-46529-master

But it failed in a similar way. I'll attach the Sphinx error log to this message so that we can track this issue, which started out a task but became in the

chrysalis of my git repo became a bug.

#7 - 09/08/2020 12:59 PM - Kefu Chai

might be https://github.com/sphinx-doc/sphinx/issues/7740, but i cannot reproduce this issue. so cannot bisect the offending commit.

#8 - 09/08/2020 01:32 PM - Zac Dover

And at last, I got the clean master to build by running the following command (courtesy of Sebastian W, of course):

zdover@zdover-ThinkPad-T530:~/Documents/ceph/admin$ git checkout f144e5e76a1353e60bc46cc7b52fd44cab54ba48^C

#9 - 09/08/2020 01:33 PM - Zac Dover
- File sphinx-err-qc6ee89i.log added

#10 - 09/09/2020 08:48 AM - Sebastian Wagner

https://github.com/ceph/ceph/commit/e4e6e9c7383959c7c6e1540d9bdbcf88e7825e7b

Merge pull request #36915 from yuriw/wip-yuriw-46529-master

Failed

https://github.com/ceph/ceph/commit/4ea5466404eae010fc985cb27c0452b125bfb610

Merge pull request #36858 from adk3798/cephadm-47171

???

https://github.com/ceph/ceph/commit/fb44c2f5009f8e2e18663251149c3bf6b06256a9

Merge pull request #36527 from neha-ojha/wip-whitelist-blacklist

Worked

#11 - 09/09/2020 01:36 PM - Lenz Grimmer

- Status changed from New to Fix Under Review

- Pull request ID set to 37070

#12 - 09/11/2020 07:09 AM - Lenz Grimmer

- Related to Bug #47396: mgr/dashboard: Remove HACKING.rst now that the content was added to the docs added

#13 - 09/11/2020 07:09 AM - Lenz Grimmer

- Status changed from Fix Under Review to Resolved

- Target version set to v16.0.0

#14 - 09/15/2020 11:48 AM - Lenz Grimmer

- Related to Bug #47458: mgr/dashboard: replace URLs with doc references in dash-devel.rst  added

#15 - 04/15/2021 05:26 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 175 to Docs

Files

sphinx-err-npo22ybr.log 13.2 KB 09/08/2020 Zac Dover

sphinx-err-qc6ee89i.log 13 KB 09/08/2020 Zac Dover
